#include "processing.h"
#include "utils.h"

#include "runtime/threading.h"
#include "runtime/aio.h"
#include "runtime/buffer_manager.h"

#include <xxhash/xxhash.h>
#include <string.h>
#include <assert.h>

#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <Windows.h>
#endif

#pragma pack(push, 1)
typedef struct {
    vy_file_id file;
    uint64_t offset;
    uint64_t size;
    uint64_t last_changed;
} vy_uidtab_entry;
#pragma pack(pop)


vy_uid vyCalculateUID(const char *name) {
    assert(sizeof(XXH32_hash_t) == sizeof(vy_uid));

    size_t len = strlen(name);
    return (vy_uid)XXH32(name, len, 0);
}